## org.metaabm
Interface Node

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, TID

    public interface Node

extends TID

A representation of the model object ' Node'.

Author:
  Miles Parker *

  The following features are supported:

  - `Children`
  - `Parent`
  - `Source`
  - `Target`
See Also:
  `org.metaabmPackage#getNode()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`org.eclipse.emf.common.util.EList<Node>` `getChildren()` Returns the value of the 'Children' containment reference list.
`Node` `getParent()` Returns the value of the 'Parent' container reference.
`org.eclipse.emf.common.util.EList<Node>` `getSource()` Returns the value of the 'Source' reference list.
`org.eclipse.emf.common.util.EList<Node>` `getTarget()` Returns the value of the 'Target' reference list.
`void` `setParent(Node value)` Sets the value of the '`Parent` ' container reference.

Methods inherited from interface org.metaabm.TID
`getID, setID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSource

    org.eclipse.emf.common.util.EList<Node> getSource()

  Returns the value of the 'Source' reference list. The list contents are of type `Node`. It is bidirectional and its opposite is '`Target`'.

  If the meaning of the 'Source' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source' reference list.
  See Also:
    `org.metaabmPackage#getNode_Source()`, `getTarget()`

### getTarget

    org.eclipse.emf.common.util.EList<Node> getTarget()

  Returns the value of the 'Target' reference list. The list contents are of type `Node`. It is bidirectional and its opposite is '`Source`'.

  If the meaning of the 'Target' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target' reference list.
  See Also:
    `org.metaabmPackage#getNode_Target()`, `getSource()`

### getChildren

    org.eclipse.emf.common.util.EList<Node> getChildren()

  Returns the value of the 'Children' containment reference list. The list contents are of type `Node`. It is bidirectional and its opposite is '`Parent`'.

  If the meaning of the 'Children' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `org.metaabmPackage#getNode_Children()`, `getParent()`

### getParent

    Node getParent()

  Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is ' `Children`'.

  If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Parent' container reference.
  See Also:
    `setParent(Node)`, `org.metaabmPackage#getNode_Parent()`, `getChildren()`

### setParent

    void setParent(Node value)

  Sets the value of the '`Parent` ' container reference.

  Parameters:
    `value` - the new value of the 'Parent' container reference.
  See Also:
    `getParent()`